---
title: "Get a template"
description: "Get a template"
url: https://docs.invoicefalcon.com/api/templates/get-a-template/
api: "API v1 reference"
method: GET
path: "/templates/{id}"
---

# Get a template

`GET https://app.invoicefalcon.com/api/v1/external/templates/{id}`

Get a template

## Path parameters

- `id` (integer, required)

## Returns

The [template object](https://docs.invoicefalcon.com/api/templates/).

Rate limit: this call costs 1 point ([rate limits](https://docs.invoicefalcon.com/docs/rate-limiting/)).

## Example request

```sh
curl "https://app.invoicefalcon.com/api/v1/external/templates/{id}" \
  -H "X-Auth-Token: $INVOICE_FALCON_API_KEY"
```

## 200

The template.

```json
{
  "template": {
    "id": 311,
    "name": "Default invoice",
    "template_type": "invoice",
    "design_key": "classic",
    "pre_selected_orders": true,
    "pre_selected_draft_orders": false,
    "pre_selected_pos_orders": false,
    "pre_selected_credit_notes": false,
    "accent_color": "#1F6FEB",
    "font_family": "Helvetica",
    "font_size": 11,
    "date_format": "%d %b %Y",
    "invoice_number_prefix": "INV-",
    "logo_url": "https://example.com/logo.png",
    "logo_width": 120,
    "logo_enabled": true,
    "created_at": "2025-11-03T14:02:00Z",
    "updated_at": "2026-01-10T08:15:00Z"
  }
}
```

## 401

Missing or invalid API key.

```json
{
  "error": "Invalid API key"
}
```

## 403

The store is not on a paid plan. API access requires a paid Invoice Falcon plan.

```json
{
  "error": "REST API access requires a paid plan"
}
```

## 404

Resource not found.

```json
{
  "error": "Not found"
}
```

## 429

Rate limit exceeded. Check `X-RateLimit-Reset` header.

```json
{
  "error": "Rate limit exceeded",
  "retry_after": 30,
  "message": "You have exceeded the rate limit of 40 points per 60 seconds. Read requests cost 1 point(s) and write requests cost 2 point(s). Please retry after 30 second(s)."
}
```

